Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window

From: [email-masked]
Date: Sat, 7 Jul 2018 08:43:44 +1000

> >>> > >     ./configure --without-gnutls --without-backbuffer
> >>> > >
> >>> >
> >>> > Iʼd call it --without-xdbe
> >>>
> >>> Or maybe --disable-double-buffering?
> >>
> >> I think sticking with the --without-... pattern makes sense.
> >
> > The ./configure --help output distinguishes between features and packages:
> >
> > Optional Features:
> >   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
> >   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
> >
> > Optional Packages:
> >   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
> >   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
> >
> > I think the double buffering thing is a feature, not a package, so
> > --disable-... fits better.
>
> Is XIM as feature or a package? Because thatʼs under --with (as is
> X11).

I’d say if we call it "--without-xdbe" it’s a package, if we call it "--disable-double-buffering" it is a feature. %-)

I vote for --without-xdbe; - it is shorter and gives the X11 reference. I can include "double-buffering" in the help string.